MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024177Open CASCADE[OCCT] OCCT:Codingpublic2013-09-16 10:092013-12-19 13:58
Reporteromy 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian 4.0OS Version64 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024177: Eliminate CLang compiler warning -Wlogical-op-parentheses (&& within ||)
DescriptionIt is necessary to eliminate warning -Wlogical-op-parentheses (&& within ||), shown by CLang compiler on Ubuntu 13.04
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023934closedabv Compiler warnings in MS VC++ 10 

-  Notes
(0025588)
omy (developer)
2013-09-16 13:23

Dear abv,
Please, review the branch CR24177
(0025692)
omy (developer)
2013-09-23 09:47

Dear abv,
The branch CR24177 was rebased onto current master and named CR24177_1. It contains the last fixes.
Please, review.
(0025695)
abv (manager)
2013-09-23 10:21

Branch CR24177_1 reviewed, please test
(0025711)
mkv (tester)
2013-09-24 16:13

Dear BugMaster,

Branch CR24177_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 3d1ba5730e8088728a61c8e0b5300d37ae793f90

Number of compiler warnings:

occt component :
Linux: 426 (506 on master)
Windows: 31 (31 on master)

products component :
Linux: 189 (190 on master)
Windows: 287 (287 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 366038896 / 366226160
Total CPU difference: 40759.47000000028 / 42280.76000000096

Testing on Windows:
Total MEMORY difference: 429630512 / 428995200
Total CPU difference: 36881.078125 / 48287.796875

There are not differences in images found by testdiff.

- Related Changesets
occt: master 0ebaa4db
Timestamp: 2013-09-16 09:22:20
Author: omy
Committer: bugmaster
Details ] Diff ]
0024177: Eliminate CLang compiler warning -Wlogical-op-parentheses (&& within ||)

Some fixes to eliminate warning
mod - src/AIS/AIS_LengthDimension.cxx Diff ] File ]
mod - src/AppParCurves/AppParCurves_Variational_7.gxx Diff ] File ]
mod - src/Blend/Blend_Walking_1.gxx Diff ] File ]
mod - src/Bnd/Bnd_Box.cxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller_6.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimEdgeTool.cxx Diff ] File ]
mod - src/BRepLib/BRepLib_FindSurface.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Tool.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_MiddlePath.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_GPropCommands.cxx Diff ] File ]
mod - src/BRepTopAdaptor/BRepTopAdaptor_FClass2d.cxx Diff ] File ]
mod - src/ChFi2d/ChFi2d_Builder.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_SpKP.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_FilSpine.cxx Diff ] File ]
mod - src/Contap/Contap_ContourGen_2.gxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_LengthPresentation.cxx Diff ] File ]
mod - src/DsgPrs/DsgPrs_ShapeDirPresentation.cxx Diff ] File ]
mod - src/Geom/Geom_OffsetSurface.cxx Diff ] File ]
mod - src/Geom2dAdaptor/Geom2dAdaptor.cxx Diff ] File ]
mod - src/GeomAdaptor/GeomAdaptor.cxx Diff ] File ]
mod - src/IGESData/IGESData_IGESModel.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_Actor.cxx Diff ] File ]
mod - src/Intf/Intf_TangentZone.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpPrmIntersection.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_LineConstructor.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_RstInt.cxx Diff ] File ]
mod - src/IntPoly/IntPoly_ShapeSection.cxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_MaillageAffinage.cxx Diff ] File ]
mod - src/IntTools/IntTools_FClass2d.cxx Diff ] File ]
mod - src/IntTools/IntTools_MarkedRangeSet.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_Pipe.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_SplitDrafts.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_NodalColorPrsBuilder.cxx Diff ] File ]
mod - src/PLib/PLib_DoubleJacobiPolynomial.cxx Diff ] File ]
mod - src/PLib/PLib_JacobiPolynomial.cxx Diff ] File ]
mod - src/Poly/Poly_MakeLoops.cxx Diff ] File ]
mod - src/Poly/Poly_MakeLoops.hxx Diff ] File ]
mod - src/ProjLib/ProjLib_CompProjectedCurve.cxx Diff ] File ]
mod - src/ProjLib/ProjLib_ComputeApprox.cxx Diff ] File ]
mod - src/Quantity/Quantity_Date.lxx Diff ] File ]
mod - src/ShapeCustom/ShapeCustom_BSplineRestriction.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GridEE.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_GridSS.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Section.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_mkTondgE.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/XCAFPrs/XCAFPrs.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-09-16 10:09 omy New Issue
2013-09-16 10:09 omy Assigned To => bugmaster
2013-09-16 10:10 omy Assigned To bugmaster => omy
2013-09-16 10:10 omy Status new => assigned
2013-09-16 10:10 omy Relationship added related to 0023934
2013-09-16 13:23 omy Note Added: 0025588
2013-09-16 13:23 omy Assigned To omy => abv
2013-09-16 13:23 omy Status assigned => resolved
2013-09-16 13:24 omy Product Version => 6.6.0
2013-09-16 13:24 omy Target Version => 6.7.0
2013-09-23 09:47 omy Note Added: 0025692
2013-09-23 10:21 abv Note Added: 0025695
2013-09-23 10:21 abv Status resolved => reviewed
2013-09-23 10:21 abv Assigned To abv => bugmaster
2013-09-23 11:29 mkv Test case number => Not needed
2013-09-23 11:29 mkv Assigned To bugmaster => mkv
2013-09-24 16:13 mkv Note Added: 0025711
2013-09-24 16:14 mkv Assigned To mkv => bugmaster
2013-09-24 16:14 mkv Status reviewed => tested
2013-09-30 15:53 bugmaster Changeset attached => occt master 0ebaa4db
2013-09-30 15:53 bugmaster Status tested => verified
2013-09-30 15:53 bugmaster Resolution open => fixed
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker